Posts
Retry the failed platforms of a post
Re-publish only the platform targets that failed on a post. Omit scheduledFor to retry immediately, or pass scheduledFor (ISO 8601) to schedule the retry. Retried platforms are charged credits (they were refunded when they failed) and refunded again if they fail. Already-published platforms are never re-posted.
POST
/v1/posts/{postId}/retryAuthorization
accessKey x-access-key<token>
In: header
Path Parameters
postId*string
ID of the failed post to retry.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/posts/string/retry" \ -H "Content-Type: application/json" \ -d '{}'{
"success": true,
"status": "draft",
"scheduledFor": "2019-08-24T14:15:22Z",
"postId": "string",
"platforms": [
{
"platform": "twitter",
"success": true,
"platformPostUrl": "string",
"error": "string",
"warningMessage": "string"
}
]
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}{
"success": true,
"message": "string"
}